com.corticon.rulesemf.canonicalvocabularymodel

## Interface DataTypeMapping

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface DataTypeMapping
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Data Type Mapping'.

  The following features are supported:

  - `Extended Type`
  - `Vocabulary Data Type`
  See Also:
    `CanonicalvocabularymodelPackage.getDataTypeMapping()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VocabularyString` | `getExtendedType()` Returns the value of the 'Extended Type' containment reference
    `VocabularyDataType` | `getVocabularyDataType()` Returns the value of the 'Vocabulary Data Type' containment reference
    `void` | `setExtendedType(VocabularyString value)` Sets the value of the '`Extended Type`' containment reference
    `void` | `setVocabularyDataType(VocabularyDataType value)` Sets the value of the '`Vocabulary Data Type`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getExtendedType

          VocabularyString getExtendedType()

      Returns the value of the 'Extended Type' containment reference.

      If the meaning of the 'Extended Type' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Extended Type' containment reference.
      See Also:
        `setExtendedType(VocabularyString)`, `CanonicalvocabularymodelPackage.getDataTypeMapping_ExtendedType()`

    - #### setExtendedType

          void setExtendedType(VocabularyString value)

      Sets the value of the '`Extended Type`' containment reference.
      Parameters:
        `value` - the new value of the 'Extended Type' containment reference.
      See Also:
        `getExtendedType()`

    - #### getVocabularyDataType

          VocabularyDataType getVocabularyDataType()

      Returns the value of the 'Vocabulary Data Type' containment reference.

      If the meaning of the 'Vocabulary Data Type' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Vocabulary Data Type' containment reference.
      See Also:
        `setVocabularyDataType(VocabularyDataType)`, `CanonicalvocabularymodelPackage.getDataTypeMapping_VocabularyDataType()`

    - #### setVocabularyDataType

          void setVocabularyDataType(VocabularyDataType value)

      Sets the value of the '`Vocabulary Data Type`' containment reference.
      Parameters:
        `value` - the new value of the 'Vocabulary Data Type' containment reference.
      See Also:
        `getVocabularyDataType()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.